Debian Bug report logs - #453198
eric: FTBFS: ImportError: No module named sipconfig

version graph

Package: eric; Maintainer for eric is Gudjon I. Gudjonsson <gudjon@gudjon.org>; Source for eric is src:eric.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 27 Nov 2007 20:09:21 UTC

Severity: serious

Tags: patch

Found in version eric/3.9.5-1

Fixed in versions eric/3.9.5-1.1, eric/4.0.4-1

Done: LI Daobing <lidaobing@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Marek <shlomme@debian.org>:
Bug#453198; Package eric. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Torsten Marek <shlomme@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: eric: FTBFS: ImportError: No module named sipconfig
Date: Tue, 27 Nov 2007 20:58:47 +0100
Package: eric
version: 3.9.5-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071126 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > test -d debian/patched || install -d debian/patched
 > dpatch  apply-all  
 > applying patch 01_programpaths to ./ ... ok.
 > applying patch 02_debiandefaults to ./ ... ok.
 > applying patch 03_checkforapis to ./ ... ok.
 > applying patch 04_missing-profile to ./ ... ok.
 > applying patch 05_brm to ./ ... ok.
 > applying patch 06_installer to ./ ... ok.
 > applying patch 07_helpmsgs to ./ ... ok.
 > dpatch  cat-all  >>patch-stampT
 > mv -f patch-stampT patch-stamp
 > mkdir -p debian/apis
 > python debian/gen_sip_apis.py debian/apis/
 > Traceback (most recent call last):
 >   File "debian/gen_sip_apis.py", line 6, in ?
 >     import pyqtconfig
 >   File "/usr/lib/python2.4/site-packages/pyqtconfig.py", line 24, in ?
 >     import sipconfig
 > ImportError: No module named sipconfig
 > make: *** [apifile-stamp] Error 1
 > dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2007/11/26

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Marek <shlomme@debian.org>:
Bug#453198; Package eric. Full text and rfc822 format available.

Acknowledgement sent to LI Daobing <lidaobing@gmail.com>:
Extra info received and forwarded to list. Copy sent to Torsten Marek <shlomme@debian.org>. Full text and rfc822 format available.

Message #10 received at 453198@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@gmail.com>
To: 453198@bugs.debian.org
Subject: eric: diff for NMU version 3.9.5-1.1
Date: Sat, 15 Dec 2007 10:57:11 +0800
[Message part 1 (text/plain, inline)]
tags 453198 + patch
thanks

Hi,

Attached is the diff for my eric 3.9.5-1.1 NMU. It fix a RC bug 453198.

  * FTBFS: ImportError: No module named sipconfig (Closes: #453198)
    - debian/control: sipconfig module was moved from python-sip4 to
      python-sip4-dev, so add build-depends-indep on python-sip4-dev.

Thanks,
LI Daobing
[eric-3.9.5-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from LI Daobing <lidaobing@gmail.com> to control@bugs.debian.org. (Sat, 15 Dec 2007 03:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Marek <shlomme@debian.org>:
Bug#453198; Package eric. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Marek <shlomme@debian.org>. Full text and rfc822 format available.

Message #17 received at 453198@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: 453198@bugs.debian.org
Cc: LI Daobing <lidaobing@gmail.com>
Subject: NMU uploaded to delayed/7 queue
Date: Mon, 17 Dec 2007 20:41:42 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've sponsored Li Daobing's NMU patch and uploaded it to the delayed/7
queue.  This means that if you (the maintainer) don't like the solution,
you still have 7 days to cancel the actual upload.  You should be
getting mail about that as well, I think.

Thanks,
Bas

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://pcbcn10.phys.rug.nl/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Reply sent to LI Daobing <lidaobing@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 453198-close@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@gmail.com>
To: 453198-close@bugs.debian.org
Subject: Bug#453198: fixed in eric 3.9.5-1.1
Date: Sun, 23 Dec 2007 21:32:03 +0000
Source: eric
Source-Version: 3.9.5-1.1

We believe that the bug you reported is fixed in the latest version of
eric, which is due to be installed in the Debian FTP archive:

eric-api-files_3.9.5-1.1_all.deb
  to pool/main/e/eric/eric-api-files_3.9.5-1.1_all.deb
eric_3.9.5-1.1.diff.gz
  to pool/main/e/eric/eric_3.9.5-1.1.diff.gz
eric_3.9.5-1.1.dsc
  to pool/main/e/eric/eric_3.9.5-1.1.dsc
eric_3.9.5-1.1_all.deb
  to pool/main/e/eric/eric_3.9.5-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LI Daobing <lidaobing@gmail.com> (supplier of updated eric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Dec 2007 10:47:27 +0800
Source: eric
Binary: eric eric-api-files
Architecture: source all
Version: 3.9.5-1.1
Distribution: unstable
Urgency: low
Maintainer: Torsten Marek <shlomme@debian.org>
Changed-By: LI Daobing <lidaobing@gmail.com>
Description: 
 eric       - full featured Python IDE
 eric-api-files - API description files for use with eric
Closes: 453198
Changes: 
 eric (3.9.5-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * FTBFS: ImportError: No module named sipconfig (Closes: #453198)
     - debian/control: sipconfig module was moved from python-sip4 to
       python-sip4-dev, so add build-depends-indep on python-sip4-dev.
Files: 
 a9404f3f2dc654a9e5b3e2b57f6d7e65 735 python optional eric_3.9.5-1.1.dsc
 7a7299d03255b8206ee883c340df0c22 354616 python optional eric_3.9.5-1.1.diff.gz
 c89c43ff2adbca720173968592553e31 1953288 python optional eric_3.9.5-1.1_all.deb
 421149642ee71651097e2e827fc39454 147342 python optional eric-api-files_3.9.5-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHZs+WFShl+2J8z5URApwwAJ459wVrfywgpjZfRXpckRDptCnHjwCgva+6
SfqQCnY81aXRB+LFPR/GlaU=
=DAg6
-----END PGP SIGNATURE-----





Bug marked as fixed in version 4.0.4-1. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 14:48:01 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Feb 2008 07:38:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:35:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.